Communication Services - Update
Mevcut bir İletişim Servisi'ni güncelleme operasyonu.
PATCH https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Communication/communicationServices/{communicationServiceName}?api-version=2026-03-18
URI Parametreleri
| Name | İçinde | Gerekli | Tür | Description |
|---|---|---|---|---|
|
communication
|
path | True |
string minLength: 1maxLength: 63 pattern: ^[-\w]+$ |
CommunicationService kaynağının adı. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
Kaynak grubunun adı. İsim büyük/küçük harfe duyarsızdır. |
|
subscription
|
path | True |
string (uuid) |
Hedef aboneliğin kimliği. Değer bir UUID olmalıdır. |
|
api-version
|
query | True |
string minLength: 1 |
Bu işlem için kullanılacak API sürümü. |
İstek Gövdesi
| Name | Tür | Description |
|---|---|---|
| identity |
Yönetilen hizmet kimliği (sistem tarafından atanan ve/veya kullanıcı tarafından atanan kimlikler) |
|
| properties.disableLocalAuth |
boolean |
CommunicationService için yerel kimlik doğrulamasını devre dışı bırakın. |
| properties.linkedDomains |
string[] |
E-posta Etki alanı kaynak kimliklerinin listesi. |
| properties.publicNetworkAccess |
Ağ güvenliği çevre yapılandırmasına izin verme, izin verme veya ağ güvenliği çevre yapılandırmasının korunan kaynağa genel ağ erişimini denetlemesine izin verme. Değer isteğe bağlıdır ancak geçirilirse 'Etkin', 'Devre Dışı' veya 'SecuredByPerimeter' olmalıdır. |
|
| tags |
object |
Kaynağı açıklayan anahtar değer çiftlerinin listesi olan hizmetin etiketleri. |
Yanıtlar
| Name | Tür | Description |
|---|---|---|
| 200 OK |
Azure işlemi başarıyla tamamlandı. |
|
| Other Status Codes |
Beklenmeyen bir hata yanıtı. |
Güvenlik
azure_auth
Azure Active Directory OAuth2 Flow.
Tür:
oauth2
Akış:
implicit
Yetkilendirme URL’si:
https://login.microsoftonline.com/common/oauth2/authorize
Kapsamlar
| Name | Description |
|---|---|
| user_impersonation | kullanıcı hesabınızın kimliğine bürünme |
Örnekler
Update resource
Örnek isteği
PATCH https://management.azure.com/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/communicationServices/MyCommunicationResource?api-version=2026-03-18
{
"tags": {
"newTag": "newVal"
}
}
Örnek yanıt
{
"name": "MyCommunicationResource",
"type": "Microsoft.Communication/CommunicationServices",
"id": "/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/CommunicationServices/MyCommunicationResource",
"identity": {
"type": "None"
},
"location": "Global",
"properties": {
"dataLocation": "United States",
"hostName": "mycommunicationresource.communications.azure.com",
"provisioningState": "Succeeded",
"version": "0.2.0"
},
"tags": {
"newTag": "newVal"
}
}
Update resource to add a System Assigned managed identity
Örnek isteği
PATCH https://management.azure.com/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/communicationServices/MyCommunicationResource?api-version=2026-03-18
{
"identity": {
"type": "SystemAssigned"
},
"tags": {
"newTag": "newVal"
}
}
Örnek yanıt
{
"name": "MyCommunicationResource",
"type": "Microsoft.Communication/CommunicationServices",
"id": "/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/CommunicationServices/MyCommunicationResource",
"identity": {
"type": "SystemAssigned",
"principalId": "11111111-1111-1111-1111-111111111111",
"tenantId": "22222222-2222-2222-2222-222222222222"
},
"location": "Global",
"properties": {
"dataLocation": "United States",
"hostName": "mycommunicationresource.communications.azure.com",
"provisioningState": "Succeeded",
"version": "0.2.0"
},
"tags": {
"newTag": "newVal"
}
}
Update resource to add a User Assigned managed identity
Örnek isteği
PATCH https://management.azure.com/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/communicationServices/MyCommunicationResource?api-version=2026-03-18
{
"identity": {
"type": "UserAssigned",
"userAssignedIdentities": {
"/user/assigned/resource/id": {}
}
},
"tags": {
"newTag": "newVal"
}
}
Örnek yanıt
{
"name": "MyCommunicationResource",
"type": "Microsoft.Communication/CommunicationServices",
"id": "/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/CommunicationServices/MyCommunicationResource",
"identity": {
"type": "UserAssigned",
"userAssignedIdentities": {
"/user/assigned/resource/id": {
"clientId": "11112222-3333-4444-5555-666677778888",
"principalId": "11112222-3333-4444-5555-666677778888"
}
}
},
"location": "Global",
"properties": {
"dataLocation": "United States",
"hostName": "mycommunicationresource.communications.azure.com",
"provisioningState": "Succeeded",
"version": "0.2.0"
},
"tags": {
"newTag": "newVal"
}
}
Update resource to add DisableLocalAuth
Örnek isteği
PATCH https://management.azure.com/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/communicationServices/MyCommunicationResource?api-version=2026-03-18
{
"properties": {
"disableLocalAuth": true
},
"tags": {
"newTag": "newVal"
}
}
Örnek yanıt
{
"name": "MyCommunicationResource",
"type": "Microsoft.Communication/CommunicationServices",
"id": "/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/CommunicationServices/MyCommunicationResource",
"location": "Global",
"properties": {
"dataLocation": "United States",
"disableLocalAuth": true,
"hostName": "mycommunicationresource.communications.azure.com",
"provisioningState": "Succeeded",
"version": "0.2.0"
},
"tags": {
"newTag": "newVal"
}
}
Update resource to add PublicNetworkAccess
Örnek isteği
PATCH https://management.azure.com/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/communicationServices/MyCommunicationResource?api-version=2026-03-18
{
"properties": {
"publicNetworkAccess": "Enabled"
},
"tags": {
"newTag": "newVal"
}
}
Örnek yanıt
{
"name": "MyCommunicationResource",
"type": "Microsoft.Communication/CommunicationServices",
"id": "/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/CommunicationServices/MyCommunicationResource",
"location": "Global",
"properties": {
"dataLocation": "United States",
"hostName": "mycommunicationresource.communications.azure.com",
"provisioningState": "Succeeded",
"publicNetworkAccess": "Enabled",
"version": "0.2.0"
},
"tags": {
"newTag": "newVal"
}
}
Update resource to add System and User managed identities
Örnek isteği
PATCH https://management.azure.com/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/communicationServices/MyCommunicationResource?api-version=2026-03-18
{
"identity": {
"type": "SystemAssigned,UserAssigned",
"userAssignedIdentities": {
"/user/assigned/resource/id": {}
}
},
"tags": {
"newTag": "newVal"
}
}
Örnek yanıt
{
"name": "MyCommunicationResource",
"type": "Microsoft.Communication/CommunicationServices",
"id": "/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/CommunicationServices/MyCommunicationResource",
"identity": {
"type": "SystemAssigned,UserAssigned",
"principalId": "11111111-1111-1111-1111-111111111111",
"tenantId": "22222222-2222-2222-2222-222222222222",
"userAssignedIdentities": {
"/user/assigned/resource/id": {
"clientId": "11112222-3333-4444-5555-666677778888",
"principalId": "11112222-3333-4444-5555-666677778888"
}
}
},
"location": "Global",
"properties": {
"dataLocation": "United States",
"hostName": "mycommunicationresource.communications.azure.com",
"provisioningState": "Succeeded",
"version": "0.2.0"
},
"tags": {
"newTag": "newVal"
}
}
Update resource to remove identity
Örnek isteği
PATCH https://management.azure.com/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/communicationServices/MyCommunicationResource?api-version=2026-03-18
{
"identity": {
"type": "None"
},
"tags": {
"newTag": "newVal"
}
}
Örnek yanıt
{
"name": "MyCommunicationResource",
"type": "Microsoft.Communication/CommunicationServices",
"id": "/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/CommunicationServices/MyCommunicationResource",
"location": "Global",
"properties": {
"dataLocation": "United States",
"hostName": "mycommunicationresource.communication.azure.com",
"provisioningState": "Succeeded"
},
"tags": {
"newTag": "newVal"
}
}
Tanımlar
| Name | Description |
|---|---|
|
Communication |
İletişim Hizmeti kaynağını temsil eden bir sınıf. |
|
Communication |
İletişim Hizmeti kaynağı için güncelleme parametrelerini temsil eden bir sınıf. |
|
Communication |
Kaynağın sağlama durumu. |
|
created |
Kaynağı oluşturan kimliğin türü. |
|
Error |
Kaynak yönetimi hatası ek bilgileri. |
|
Error |
Hata ayrıntısı. |
|
Error |
Hata yanıtı |
|
Managed |
Yönetilen hizmet kimliği (sistem tarafından atanan ve/veya kullanıcı tarafından atanan kimlikler) |
|
Managed |
Yönetilen hizmet kimliği türü (hem SystemAssigned hem de UserAssigned türlerine izin verilir). |
|
Public |
Ağ güvenliği çevre yapılandırmasına izin verme, izin verme veya ağ güvenliği çevre yapılandırmasının korunan kaynağa genel ağ erişimini denetlemesine izin verme. Değer isteğe bağlıdır ancak geçirilirse 'Etkin', 'Devre Dışı' veya 'SecuredByPerimeter' olmalıdır. |
|
system |
Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler. |
|
User |
Kullanıcı tarafından atanan kimlik özellikleri |
CommunicationServiceResource
İletişim Hizmeti kaynağını temsil eden bir sınıf.
| Name | Tür | Description |
|---|---|---|
| id |
string (arm-id) |
Kaynağın tam kaynak kimliği. Örneğin, "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| identity |
Bu kaynağa atanan yönetilen hizmet kimlikleri. |
|
| location |
string |
Kaynağın bulunduğu coğrafi konum |
| name |
string |
Kaynağın adı |
| properties.dataLocation |
string |
İletişim hizmetinin bekleyen verilerini depoladığı konum. |
| properties.disableLocalAuth |
boolean |
CommunicationService için yerel kimlik doğrulamasını devre dışı bırakın. |
| properties.hostName |
string |
İletişim Hizmeti örneğinin FQDN'si. |
| properties.immutableResourceId |
string |
İletişim servisinin değişmez kaynak kimliği. |
| properties.linkedDomains |
string[] |
E-posta Etki alanı kaynak kimliklerinin listesi. |
| properties.notificationHubId |
string |
Bu kaynağa bağlı bir Azure Notification Hub'ın kaynak kimliği. |
| properties.provisioningState |
Kaynağın sağlama durumu. |
|
| properties.publicNetworkAccess |
Ağ güvenliği çevre yapılandırmasına izin verme, izin verme veya ağ güvenliği çevre yapılandırmasının korunan kaynağa genel ağ erişimini denetlemesine izin verme. Değer isteğe bağlıdır ancak geçirilirse 'Etkin', 'Devre Dışı' veya 'SecuredByPerimeter' olmalıdır. |
|
| properties.version |
string |
İletişim Servisi kaynağının versiyonu. Büyük olasılıkla istemci SDK'larının aynı veya daha yüksek bir sürümüne ihtiyacınız vardır. |
| systemData |
createdBy ve modifiedBy bilgilerini içeren Azure Resource Manager meta verileri. |
|
| tags |
object |
Kaynak etiketleri. |
| type |
string |
Kaynağın türü. Örneğin, "Microsoft.Compute/virtualMachines" veya "Microsoft.Storage/storageAccounts" |
CommunicationServiceResourceUpdate
İletişim Hizmeti kaynağı için güncelleme parametrelerini temsil eden bir sınıf.
| Name | Tür | Description |
|---|---|---|
| identity |
Yönetilen hizmet kimliği (sistem tarafından atanan ve/veya kullanıcı tarafından atanan kimlikler) |
|
| properties.disableLocalAuth |
boolean |
CommunicationService için yerel kimlik doğrulamasını devre dışı bırakın. |
| properties.linkedDomains |
string[] |
E-posta Etki alanı kaynak kimliklerinin listesi. |
| properties.publicNetworkAccess |
Ağ güvenliği çevre yapılandırmasına izin verme, izin verme veya ağ güvenliği çevre yapılandırmasının korunan kaynağa genel ağ erişimini denetlemesine izin verme. Değer isteğe bağlıdır ancak geçirilirse 'Etkin', 'Devre Dışı' veya 'SecuredByPerimeter' olmalıdır. |
|
| tags |
object |
Kaynağı açıklayan anahtar değer çiftlerinin listesi olan hizmetin etiketleri. |
CommunicationServices_ProvisioningState
Kaynağın sağlama durumu.
| Değer | Description |
|---|---|
| Unknown |
Bilinmiyor |
| Succeeded |
Succeeded |
| Failed |
Başarısız oldu |
| Canceled |
İptal edildi |
| Running |
Koşmak |
| Creating |
Oluşturma |
| Updating |
Güncelleştirme |
| Deleting |
Siliniyor |
| Moving |
Hareketli |
createdByType
Kaynağı oluşturan kimliğin türü.
| Değer | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
Kaynak yönetimi hatası ek bilgileri.
| Name | Tür | Description |
|---|---|---|
| info |
object |
Ek bilgiler. |
| type |
string |
Ek bilgi türü. |
ErrorDetail
Hata ayrıntısı.
| Name | Tür | Description |
|---|---|---|
| additionalInfo |
Hata ek bilgileri. |
|
| code |
string |
Hata kodu. |
| details |
Hata ayrıntıları. |
|
| message |
string |
Hata iletisi. |
| target |
string |
Hata hedefi. |
ErrorResponse
Hata yanıtı
| Name | Tür | Description |
|---|---|---|
| error |
Hata nesnesi. |
ManagedServiceIdentity
Yönetilen hizmet kimliği (sistem tarafından atanan ve/veya kullanıcı tarafından atanan kimlikler)
| Name | Tür | Description |
|---|---|---|
| principalId |
string (uuid) |
Sistem tarafından atanan kimliğin hizmet sorumlusu kimliği. Bu özellik yalnızca sistem tarafından atanan bir kimlik için sağlanacaktır. |
| tenantId |
string (uuid) |
Sistem tarafından atanan kimliğin kiracı kimliği. Bu özellik yalnızca sistem tarafından atanan bir kimlik için sağlanacaktır. |
| type |
Yönetilen hizmet kimliği türü (hem SystemAssigned hem de UserAssigned türlerine izin verilir). |
|
| userAssignedIdentities |
<string,
User |
Kaynakla ilişkili kullanıcı tarafından atanan kimlik kümesi. userAssignedIdentities sözlük anahtarları şu formda ARM kaynak kimlikleri olacaktır: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. Sözlük değerleri, isteklerdeki boş nesneler ({}) olabilir. |
ManagedServiceIdentityType
Yönetilen hizmet kimliği türü (hem SystemAssigned hem de UserAssigned türlerine izin verilir).
| Değer | Description |
|---|---|
| None | |
| SystemAssigned | |
| UserAssigned | |
| SystemAssigned,UserAssigned |
PublicNetworkAccess
Ağ güvenliği çevre yapılandırmasına izin verme, izin verme veya ağ güvenliği çevre yapılandırmasının korunan kaynağa genel ağ erişimini denetlemesine izin verme. Değer isteğe bağlıdır ancak geçirilirse 'Etkin', 'Devre Dışı' veya 'SecuredByPerimeter' olmalıdır.
| Değer | Description |
|---|---|
| Enabled |
Kaynağa kamusal ağ access izin verir |
| Disabled |
Kaynağa kamu ağı access izin verme |
| SecuredByPerimeter |
Ağ güvenliği çevre yapılandırma kuralları, kaynağa açık ağ access izin verir veya yasaktır. Bağlantılı bir ağ güvenlik çevresi gerektirir. |
systemData
Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler.
| Name | Tür | Description |
|---|---|---|
| createdAt |
string (date-time) |
Kaynak oluşturma (UTC) zaman damgası. |
| createdBy |
string |
Kaynağı oluşturan kimlik. |
| createdByType |
Kaynağı oluşturan kimliğin türü. |
|
| lastModifiedAt |
string (date-time) |
Kaynağın son değişikliğinin zaman damgası (UTC) |
| lastModifiedBy |
string |
Kaynağı en son değiştiren kimlik. |
| lastModifiedByType |
Kaynağı en son değiştiren kimlik türü. |
UserAssignedIdentity
Kullanıcı tarafından atanan kimlik özellikleri
| Name | Tür | Description |
|---|---|---|
| clientId |
string (uuid) |
Atanan kimliğin istemci kimliği. |
| principalId |
string (uuid) |
Atanan kimliğin asıl kimliği. |